## sabnzbdplus 4.2.2+dfsg

=== requirements.txt ===
# Main requirements
# Note that not all sub-dependencies are listed, but only ones we know could cause trouble
sabctools==8.1.0
cheetah3==3.2.6.post1
cffi==1.16.0
pycparser==2.21
feedparser==6.0.11
configobj==5.0.8
cheroot==10.0.0
six==1.16.0
cherrypy==18.9.0
jaraco.functools==4.0.0
jaraco.collections==5.0.0
jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
jaraco.classes==3.3.0
jaraco.context==4.3.0
more-itertools==10.2.0
zc.lockfile==3.0.post1
python-dateutil==2.8.2
tempora==5.5.0
pytz==2023.3.post1
sgmllib3k==1.0.0
portend==3.2.0
chardet==5.2.0
PySocks==1.7.1
puremagic==1.15
guessit==3.8.0
babelfish==0.6.0
rebulk==3.2.0

# Recent cryptography versions require Rust. If you run into issues compiling this
# SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
cryptography==41.0.7

# We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
# Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
ujson==5.9.0

# Windows system integration
pywin32==306; sys_platform == 'win32'
toasts-winrt==1.0.0; sys_platform == 'win32'
windows-toasts==1.0.2; sys_platform == 'win32'

# macOS system calls
pyobjc-core==10.1; sys_platform == 'darwin'
pyobjc-framework-Cocoa==10.1; sys_platform == 'darwin'

# Linux notifications
notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'

# Optional support for *nix tray icon.
# Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.
# See https://pycairo.readthedocs.io/en/latest/getting_started.html
# Uncomment line below or manually install after installing requirements.
# pygobject>=3.10.2; sys_platform != 'win32' and sys_platform != 'darwin'

# Optional support for system power management on *nix.
# Requires libdbus-1-dev to be installed.
# Uncomment line below or manually install after installing requirements.
# dbus-python; sys_platform != 'win32' and sys_platform != 'darwin'

=== tests/requirements.txt ===
# Testing requirements
pytest==7.4.4
selenium
requests
pyfakefs
werkzeug<2.1.0 # Breaks httpbin in newer versions
pytest-httpbin
pytest-httpserver
flaky
xmltodict
tavern>=2.0.0
tavalidate
importlib_metadata
lxml
black
pytest-mock
pytest-asyncio

=== debian/changelog ===
sabnzbdplus (4.2.2+dfsg-3) unstable; urgency=medium

  * Tests: avoid running the upstream testsuite on ppc64el.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 05 Mar 2024 15:03:19 +0000

sabnzbdplus (4.2.2+dfsg-2) unstable; urgency=medium

  * Control: remove p7zip-full as an alternative for the recommended
    dependency on 7zip, as the former is now a transitional package
    pointing to the latter. (Closes: #1063618)
  * Tests: correct path for some of the ignored test files, moved into
    their parent dir by upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 28 Feb 2024 13:14:38 +0000

sabnzbdplus (4.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Control: bump python3-sabctools version to (>= 8.1.0), (<< 8.2.0~).
  * Copyright: bump years for upstream and packaging.
  * Patches: refresh all.
  * Patches: add 90, backport of an upstream PR to fix assumptions in
    test_getipaddress.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 06 Feb 2024 13:27:02 +0000

=== debian/control ===
Source: sabnzbdplus
Homepage: https://sabnzbd.org
Section: contrib/net
Priority: optional
Maintainer: Jeroen Ploemen <jcfp@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 dh-python,
 dh-sequence-bash-completion,
 python3,
 wget
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/sabnzbdplus.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sabnzbdplus
Rules-Requires-Root: no

Package: sabnzbdplus
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${python3:Depends},
 ${misc:Depends},
 libjs-bootstrap,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-moment,
 par2,
 python3-chardet,
 python3-cheetah,
 python3-cherrypy3,
 python3-configobj,
 python3-cryptography,
 python3-feedparser,
 python3-guessit,
 python3-portend,
 python3-puremagic,
 python3-rebulk,
 python3-sabctools (>= 8.1.0),
 python3-sabctools (<< 8.2.0~),
 python3-socks,
 python3-ujson,
 unrar | rar
Recommends:
 gir1.2-xapp-1.0 (>= 1.6),
 libavahi-compat-libdnssd1,
 7zip,
 python3-dbus,
 python3-notify2,
Description: web-based binary newsreader with nzb support
 SABnzbd+ is a web-based binary newsgrabber written in Python, with support for
 the popular nzb file format. It greatly simplifies the process of downloading
 from Usenet, thanks to a friendly web-based, fully customizable user interface
 and advanced built-in post-processing options including the ability to
 automatically verify, repair, extract and clean up downloaded posts.
 .
 Multiple servers are supported, as well as secure (ssl) connections, ipv6,
 scheduling, pausing and resuming downloads, queue manipulation, rss feeds,
 automatic sorting, a download history, email notifications, and custom
 post-processing scripts. An extensive API allows third party applications to
 interact with the program.
 .
 This package contains the program itself and all interface templates.

=== debian/tests/control ===
Tests: basic-runs
Depends: @
Restrictions: superficial, allow-stderr

Tests: upstream-tests
Depends: @,
 7zip | p7zip-full,
 chromium-driver | chromium-chromedriver,
 python3-all,
 python3-flaky,
 python3-pyfakefs,
 python3-pytest,
 python3-pytest-httpbin,
 python3-pytest-mock,
 python3-pytest-asyncio,
 python3-requests,
 python3-selenium,
 python3-xmltodict
# needs TCP sockets, etc.
Restrictions: isolation-container, skip-not-installable, allow-stderr
# disable on archs unable to handle the load of the testsuite
Architecture: !ppc64el

## sabnzbdplus 4.3.2+dfsg

=== requirements.txt ===
# Main requirements
# Note that not all sub-dependencies are listed, but only ones we know could cause trouble
apprise==1.8.0
sabctools==8.2.0
CT3==3.3.3.post1
cffi==1.16.0
pycparser==2.22
feedparser==6.0.11
configobj==5.0.8
cheroot==10.0.1
six==1.16.0
cherrypy==18.9.0
jaraco.functools==4.0.1
jaraco.collections==5.0.0
jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
jaraco.classes==3.4.0
jaraco.context==4.3.0
more-itertools==10.2.0
zc.lockfile==3.0.post1
python-dateutil==2.9.0.post0
tempora==5.5.1
pytz==2024.1
sgmllib3k==1.0.0
portend==3.2.0
chardet==5.2.0
PySocks==1.7.1
puremagic==1.23
guessit==3.8.0
babelfish==0.6.1
rebulk==3.2.0

# Recent cryptography versions require Rust. If you run into issues compiling this
# SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
cryptography==42.0.7

# We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
# Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
ujson==5.10.0

# Windows system integration
pywin32==306; sys_platform == 'win32'
windows-toasts==1.1.1; sys_platform == 'win32' and python_version > '3.8'
winrt-runtime==2.0.1; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.Data.Xml.Dom==2.0.1; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.Foundation==2.0.1; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.Foundation.Collections==2.0.1; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.UI.Notifications==2.0.1; sys_platform == 'win32' and python_version > '3.8'

# macOS system calls
pyobjc-core==10.2; sys_platform == 'darwin'
pyobjc-framework-Cocoa==10.2; sys_platform == 'darwin'

# Linux notifications
notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'

# Apprise Requirements
requests==2.31.0
requests-oauthlib==2.0.0
PyYAML==6.0.1
markdown==3.6
paho-mqtt==1.6.1 # Pinned, newer versions don't work with AppRise yet

# Requests Requirements
charset_normalizer==3.3.2
idna==3.7
urllib3==2.2.1
certifi==2024.2.2
oauthlib==3.2.2
PyJWT==2.8.0
blinker==1.8.2

# Optional support for *nix tray icon.
# Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.
# See https://pycairo.readthedocs.io/en/latest/getting_started.html
# Uncomment line below or manually install after installing requirements.
# pygobject>=3.10.2; sys_platform != 'win32' and sys_platform != 'darwin'

# Optional support for system power management on *nix.
# Requires libdbus-1-dev to be installed.
# Uncomment line below or manually install after installing requirements.
# dbus-python; sys_platform != 'win32' and sys_platform != 'darwin'

=== tests/requirements.txt ===
# Testing requirements
pytest==7.4.4
setuptools
selenium
requests
pyfakefs<5.4.0
werkzeug<2.1.0 # Breaks httpbin in newer versions
pytest-httpbin
pytest-httpserver
flaky
xmltodict
tavern
flask
tavalidate
importlib_metadata
lxml
black
pytest-mock
pytest-asyncio

=== debian/changelog ===
sabnzbdplus (4.3.2+dfsg-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 31 May 2024 10:16:00 +0000

sabnzbdplus (4.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Service: add native systemd support, in addition to the init.d
    script. (Closes: #735003, #1039357)
  * Tests: add depend on python3-pytest-httpserver, and remove related
    changes from patch 10.
  * Tests: temporarily disable a number of tests because of chromedriver
    crashes.
  * Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes).
  * Control: add dependency on apprise, imported by notifier.
  * Control: bump python3-sabctools to >= 8.2.0, << 8.3.0~.
  * Control: add explicit dependency on python3-cheroot, now imported
    directly in SABnzbd.py for error handling.
  * Patches: refresh all, fuzz removal.
  * Patches: remove 90, merged upstream.
  * Copyright: remove entry for sabnzbd/utils/pathbrowser.py, file
    removed upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 30 May 2024 09:03:35 +0000

sabnzbdplus (4.2.3+dfsg-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.
  * Control: restore p7zip-full as an alternative for 7zip.
  * CI: set distro to bullseye-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 24 Mar 2024 10:08:26 +0000

sabnzbdplus (4.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 02, 09; remove 91 (merged upstream).
  * Control: remove team from uploaders.
  * Control: point VCS links to private namespace.
  * Update upstream security contact email address.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 21 Mar 2024 14:54:53 +0000

sabnzbdplus (4.2.2+dfsg-4) unstable; urgency=medium

  * Patches: add 91, minimal backport of an upstream PR to avoid
    timeouts with giganews.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 09 Mar 2024 07:42:51 +0000

sabnzbdplus (4.2.2+dfsg-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.
  * Keep CI adjustments for bullseye-backports-sloppy in place.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 06 Feb 2024 15:03:02 +0000

sabnzbdplus (4.1.0+dfsg-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.
  * CI: switch distribution to bullseye; disable aptly config mods;
    set skip-not-installable.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 10 Oct 2023 15:07:30 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Section: contrib/net
 Priority: optional
 Maintainer: Jeroen Ploemen <jcfp@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  devscripts,
@@ -11,9 +10,9 @@
  dh-sequence-bash-completion,
  python3,
  wget
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/python-team/packages/sabnzbdplus.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/sabnzbdplus
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/jcfp/sabnzbdplus.git
+Vcs-Browser: https://salsa.debian.org/jcfp/sabnzbdplus
 Rules-Requires-Root: no
 
 Package: sabnzbdplus
@@ -23,6 +22,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+ apprise,
  libjs-bootstrap,
  libjs-jquery,
  libjs-jquery-ui,
@@ -30,6 +30,7 @@
  par2,
  python3-chardet,
  python3-cheetah,
+ python3-cheroot,
  python3-cherrypy3,
  python3-configobj,
  python3-cryptography,
@@ -38,15 +39,15 @@
  python3-portend,
  python3-puremagic,
  python3-rebulk,
- python3-sabctools (>= 8.1.0),
- python3-sabctools (<< 8.2.0~),
+ python3-sabctools (>= 8.2.0),
+ python3-sabctools (<< 8.3.0~),
  python3-socks,
  python3-ujson,
  unrar | rar
 Recommends:
  gir1.2-xapp-1.0 (>= 1.6),
  libavahi-compat-libdnssd1,
- 7zip,
+ 7zip | p7zip-full,
  python3-dbus,
  python3-notify2,
 Description: web-based binary newsreader with nzb support

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: basic-runs
 Depends: @
-Restrictions: superficial, allow-stderr
+Restrictions: superficial, allow-stderr, skip-not-installable
 
 Tests: upstream-tests
 Depends: @,
@@ -11,6 +11,7 @@
  python3-pyfakefs,
  python3-pytest,
  python3-pytest-httpbin,
+ python3-pytest-httpserver,
  python3-pytest-mock,
  python3-pytest-asyncio,
  python3-requests,

## sabnzbdplus 4.3.3+dfsg

=== tests/requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 setuptools
 selenium
 requests
-pyfakefs<5.4.0
+pyfakefs>=5.6.0
 werkzeug<2.1.0 # Breaks httpbin in newer versions
 pytest-httpbin
 pytest-httpserver

=== debian/changelog ===
sabnzbdplus (4.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 02, 04, 09, 10.
  * Tests: require minimum version 5.6.0 for pyfakefs.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 22 Aug 2024 08:35:16 +0000

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Recommends:
  gir1.2-xapp-1.0 (>= 1.6),
  libavahi-compat-libdnssd1,
- 7zip | p7zip-full,
+ 7zip,
  python3-dbus,
  python3-notify2,
 Description: web-based binary newsreader with nzb support

## sabnzbdplus 4.4.0+dfsg

=== debian/changelog ===
sabnzbdplus (4.4.0+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 17 Dec 2024 15:09:12 +0000

sabnzbdplus (4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Copyright: remove unused license definition.
  * Control: add python3-orjson as an alternative for the json dep.
  * Patches: refresh 02, 09 and 10.
  * Tests: re-enable tests that were deselected because of chromedriver
    chrashes.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 16 Dec 2024 12:07:06 +0000

sabnzbdplus (4.3.3+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 24 Aug 2024 05:57:17 +0000

sabnzbdplus (4.3.2+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 31 May 2024 09:50:00 +0000

sabnzbdplus (4.2.3+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Control: restore p7zip-full as an alternative for 7zip.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 24 Mar 2024 09:54:18 +0000

sabnzbdplus (4.2.2+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Keep CI adjustments for bookworm-backports in place.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 06 Feb 2024 13:51:26 +0000

sabnzbdplus (4.1.0+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * CI: switch distribution to bookworm-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 10 Oct 2023 10:22:11 +0000

=== debian/control ===
--- 
+++ 
@@ -42,12 +42,12 @@
  python3-sabctools (>= 8.2.0),
  python3-sabctools (<< 8.3.0~),
  python3-socks,
- python3-ujson,
+ python3-orjson | python3-ujson,
  unrar | rar
 Recommends:
  gir1.2-xapp-1.0 (>= 1.6),
  libavahi-compat-libdnssd1,
- 7zip,
+ 7zip | p7zip-full,
  python3-dbus,
  python3-notify2,
 Description: web-based binary newsreader with nzb support

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  chromium-driver | chromium-chromedriver,
  python3-all,
  python3-flaky,
- python3-pyfakefs,
+ python3-pyfakefs (>= 5.6.0),
  python3-pytest,
  python3-pytest-httpbin,
  python3-pytest-httpserver,

## sabnzbdplus 4.4.1+dfsg

=== requirements.txt ===
# Main requirements
# Note that not all sub-dependencies are listed, but only ones we know could cause trouble
apprise==1.9.0
sabctools==8.2.5
CT3==3.4.0b6
cffi==1.17.1
pycparser==2.22
feedparser==6.0.11
configobj==5.0.9
cheroot==10.0.1
six==1.16.0
cherrypy==18.10.0
jaraco.functools==4.1.0
jaraco.collections==5.0.0
jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
jaraco.classes==3.4.0
jaraco.context==4.3.0
more-itertools==10.5.0
zc.lockfile==3.0.post1
python-dateutil==2.9.0.post0
tempora==5.7.0
pytz==2024.2
sgmllib3k==1.0.0
portend==3.2.0
chardet==5.2.0
PySocks==1.7.1
puremagic==1.28
guessit==3.8.0
babelfish==0.6.1
rebulk==3.2.0

# Recent cryptography versions require Rust. If you run into issues compiling this
# SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
cryptography==44.0.0

# We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
# Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
ujson==5.10.0

# Windows system integration
pywin32==308; sys_platform == 'win32'
windows-toasts==1.3.0; sys_platform == 'win32' and python_version > '3.8'
winrt-runtime==2.3.0; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.Data.Xml.Dom==2.3.0; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.Foundation==2.3.0; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.Foundation.Collections==2.3.0; sys_platform == 'win32' and python_version > '3.8'
winrt-Windows.UI.Notifications==2.3.0; sys_platform == 'win32' and python_version > '3.8'

# macOS system calls
pyobjc-core==10.3.2; sys_platform == 'darwin'
pyobjc-framework-Cocoa==10.3.2; sys_platform == 'darwin'

# Linux notifications
notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'

# Apprise Requirements
requests==2.32.3
requests-oauthlib==2.0.0
PyYAML==6.0.2
markdown==3.7
paho-mqtt==1.6.1 # Pinned, newer versions don't work with AppRise yet

# Requests Requirements
charset_normalizer==3.4.0
idna==3.10
urllib3==2.2.3
certifi==2024.8.30
oauthlib==3.2.2
PyJWT # List version-less for Python 3.8 to just get latest supported
PyJWT==2.10.1; python_version > '3.8'
blinker # List version-less for Python 3.8 to just get latest supported
blinker==1.9.0; python_version > '3.8'

# Optional support for *nix tray icon.
# Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.
# See https://pycairo.readthedocs.io/en/latest/getting_started.html
# Uncomment line below or manually install after installing requirements.
# pygobject>=3.10.2; sys_platform != 'win32' and sys_platform != 'darwin'

# Optional support for system power management on *nix.
# Requires libdbus-1-dev to be installed.
# Uncomment line below or manually install after installing requirements.
# dbus-python; sys_platform != 'win32' and sys_platform != 'darwin'

=== debian/changelog ===
sabnzbdplus (4.4.1+dfsg-2) unstable; urgency=medium

  * Tests: add test_functional_config.py to the ignore list, recent
    chrome/selenium is too unreliable. (Closes: #1100428)
  * Patches: expand 10 to set higher margins for flaky sorting test.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 14 Mar 2025 09:03:33 +0000

sabnzbdplus (4.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Tests: re-enable test_rss_basic_flow, now that pytest httpserver is
    available.
  * Tests: remove chromium-chromedriver as an alternative for chromium-
    driver; add a dependency on chromium itself now that it was removed
    as a dependency of the -driver package.
  * Patches: remove fuzz.
  * Copyright: bump years.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 06 Mar 2025 11:10:33 +0000

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Recommends:
  gir1.2-xapp-1.0 (>= 1.6),
  libavahi-compat-libdnssd1,
- 7zip | p7zip-full,
+ 7zip,
  python3-dbus,
  python3-notify2,
 Description: web-based binary newsreader with nzb support

=== debian/tests/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Tests: basic-runs
 Depends: @
-Restrictions: superficial, allow-stderr, skip-not-installable
+Restrictions: superficial, allow-stderr
 
 Tests: upstream-tests
 Depends: @,
  7zip | p7zip-full,
- chromium-driver | chromium-chromedriver,
+ chromium,
+ chromium-driver,
  python3-all,
  python3-flaky,
  python3-pyfakefs (>= 5.6.0),

## sabnzbdplus 4.5.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,25 +1,27 @@
 # Main requirements
 # Note that not all sub-dependencies are listed, but only ones we know could cause trouble
-apprise==1.9.0
+apprise==1.9.2
 sabctools==8.2.5
-CT3==3.4.0b6
+CT3==3.4.0
 cffi==1.17.1
 pycparser==2.22
 feedparser==6.0.11
 configobj==5.0.9
 cheroot==10.0.1
-six==1.16.0
+six==1.17.0
 cherrypy==18.10.0
 jaraco.functools==4.1.0
 jaraco.collections==5.0.0
 jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
 jaraco.classes==3.4.0
 jaraco.context==4.3.0
-more-itertools==10.5.0
+more-itertools # List version-less for Python 3.8 to just get latest supported
+more-itertools==10.6.0; python_version > '3.8'
 zc.lockfile==3.0.post1
 python-dateutil==2.9.0.post0
-tempora==5.7.0
-pytz==2024.2
+tempora # List version-less for Python 3.8 to just get latest supported
+tempora==5.8.0; python_version > '3.8'
+pytz==2025.1
 sgmllib3k==1.0.0
 portend==3.2.0
 chardet==5.2.0
@@ -31,14 +33,15 @@
 
 # Recent cryptography versions require Rust. If you run into issues compiling this
 # SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
-cryptography==44.0.0
+cryptography==44.0.2
 
 # We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
 # Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
 ujson==5.10.0
+orjson==3.10.15
 
 # Windows system integration
-pywin32==308; sys_platform == 'win32'
+pywin32==310; sys_platform == 'win32'
 windows-toasts==1.3.0; sys_platform == 'win32' and python_version > '3.8'
 winrt-runtime==2.3.0; sys_platform == 'win32' and python_version > '3.8'
 winrt-Windows.Data.Xml.Dom==2.3.0; sys_platform == 'win32' and python_version > '3.8'
@@ -47,8 +50,8 @@
 winrt-Windows.UI.Notifications==2.3.0; sys_platform == 'win32' and python_version > '3.8'
 
 # macOS system calls
-pyobjc-core==10.3.2; sys_platform == 'darwin'
-pyobjc-framework-Cocoa==10.3.2; sys_platform == 'darwin'
+pyobjc-core==11.0; sys_platform == 'darwin'
+pyobjc-framework-Cocoa==11.0; sys_platform == 'darwin'
 
 # Linux notifications
 notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'
@@ -61,10 +64,11 @@
 paho-mqtt==1.6.1 # Pinned, newer versions don't work with AppRise yet
 
 # Requests Requirements
-charset_normalizer==3.4.0
+charset_normalizer==3.4.1
 idna==3.10
-urllib3==2.2.3
-certifi==2024.8.30
+urllib3 # List version-less for Python 3.8 to just get latest supported
+urllib3==2.3.0; python_version > '3.8'
+certifi==2025.1.31
 oauthlib==3.2.2
 PyJWT # List version-less for Python 3.8 to just get latest supported
 PyJWT==2.10.1; python_version > '3.8'

=== tests/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Testing requirements
-pytest==7.4.4
+pytest
 setuptools
 selenium
 requests

=== debian/changelog ===
sabnzbdplus (4.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 02, 04, and 09.
  * Bump Standards-Version to 4.7.2 (from 4.7.0; no further changes).
  * Control: remove ancient version requirement from gir1.2-xapp-1.0
    dependency.
  * Control, tests: bump recommend on 7zip to a hard dependency.
  * Copyright: replace FSF postal address with gnu.org/licenses URL.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 02 Apr 2025 06:59:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-bash-completion,
  python3,
  wget
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/jcfp/sabnzbdplus.git
 Vcs-Browser: https://salsa.debian.org/jcfp/sabnzbdplus
 Rules-Requires-Root: no
@@ -22,6 +22,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+ 7zip,
  apprise,
  libjs-bootstrap,
  libjs-jquery,
@@ -45,9 +46,8 @@
  python3-orjson | python3-ujson,
  unrar | rar
 Recommends:
- gir1.2-xapp-1.0 (>= 1.6),
+ gir1.2-xapp-1.0,
  libavahi-compat-libdnssd1,
- 7zip,
  python3-dbus,
  python3-notify2,
 Description: web-based binary newsreader with nzb support

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Install directory
DESTDIR="$(CURDIR)"/debian/sabnzbdplus

DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))
DEB_SRC := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Source)
DEB_TAG := +dfsg
# clean upstream version
UPS_VER := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Version | sed 's/.*://; s/-[^-]*$$//; s/\+.*//')
# basedir inside upstream tarball
UPS_DIR := SABnzbd-$(UPS_VER)


%:
	dh $@ --with python3,bash-completion

override_dh_auto_build:
	# Generate translations
	python3 tools/make_mo.py
	find locale -type d -empty -delete

execute_before_dh_clean:
	rm -rf build/ locale/
	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete

override_dh_install:
	dh_install \
		--exclude=wizard/README.TXT \
		--exclude=sabnzbd/sabtray.py \
		--exclude=images-split.tar.gz \
		--exclude=/src/

execute_after_dh_install:
	mv -v "$(DESTDIR)"/usr/bin/SABnzbd.py "$(DESTDIR)"/usr/bin/sabnzbdplus
	# Workaround the appstream generator's inability to deal with symlinked icon files
	mkdir -p "$(DESTDIR)"/usr/share/pixmaps
	mv -v "$(DESTDIR)"/usr/share/sabnzbdplus/interfaces/Config/templates/staticcfg/images/logo-arrow.svg "$(DESTDIR)"/usr/share/pixmaps/sabnzbdplus.svg

override_dh_installchangelogs:
	dh_installchangelogs README.mkd


get-orig-source:
	# download, decompress and rename upstream sources
	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER) sabnzbdplus
	gunzip $(DEB_SRC)_$(UPS_VER).orig.tar.gz
	mv $(DEB_SRC)_$(UPS_VER).orig.tar $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
	# download the missing source files from cvs
	wget --no-clobber https://salsa.debian.org/jcfp/sabnzbdplus/-/archive/missing-sources/sabnzbdplus-missing-sources.tar
	tar -xf sabnzbdplus-missing-sources.tar
	mkdir -p $(CURDIR)/$(UPS_DIR)
	mv $(CURDIR)/sabnzbdplus-missing-sources/missing-sources/* $(CURDIR)/$(UPS_DIR)
	# merge missing sources into upstream tarball and create new orig.tar.gz
	tar --append --owner=root --group=root --mode=a+rX --file $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar $(UPS_DIR)
	rm -f $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar.gz
	gzip --best $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
	# cleanup leftovers
	rm -rf $(CURDIR)/sabnzbdplus-missing-sources/ sabnzbdplus-missing-sources.tar $(UPS_DIR)

## sabnzbdplus 4.5.2+dfsg

=== debian/changelog ===
sabnzbdplus (4.5.2+dfsg-1~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 13 Sep 2025 13:53:16 +0000

sabnzbdplus (4.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 02, 04 and 08.
  * Rules: include pkg-info.mk instead of calling dpkg-parsechangelog
    directly, and drop the build-dep on devscripts. (Closes: #1110276)
  * Lintian: remove unused override of debian-rules-parses-dpkg-
    parsechangelog.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 10 Aug 2025 03:57:14 +0000

sabnzbdplus (4.5.0+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Control: restore p7zip-full as an alternative for 7zip, after the
    latter was bumped from recommended to a hard dependency.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 02 Apr 2025 07:11:32 +0000

sabnzbdplus (4.4.1+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 07 Mar 2025 11:17:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Maintainer: Jeroen Ploemen <jcfp@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- devscripts,
  dh-python,
  dh-sequence-bash-completion,
  python3,
@@ -22,7 +21,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- 7zip,
+ 7zip | p7zip-full,
  apprise,
  libjs-bootstrap,
  libjs-jquery,

=== debian/watch ===
version=4
opts="searchmode=plain,pgpmode=none,dversionmangle=s/\+dfsg//" \
 https://api.github.com/repos/sabnzbd/sabnzbd/releases?per_page=100 \
 https://github.com/sabnzbd/sabnzbd/releases/download/[\d.]+/SABnzbd-([\d][\d.]*)-src\.tar\.gz

## sabnzbdplus 4.5.4%2Bdfsg

=== debian/changelog ===
sabnzbdplus (4.5.4+dfsg-2) unstable; urgency=medium

  * Control: add dependencies on python3-certifi, python3-more-
    itertools; recommend python3-gi.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 30 Dec 2025 17:27:16 +0000

sabnzbdplus (4.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 02, 08, 09.
  * Lintian: disable override for long lines in test data.
  * Control: add dependency on python3-rarfile (>= 4.0), upstream
    removed their vendored copy.
  * Copyright: remove entry for sabnzbd/utils/rarfile.py.
  * Tests: deselect test_socket_binding_outgoing_ip, network issues.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 23 Oct 2025 10:38:15 +0000

## sabnzbdplus 4.5.4+dfsg

=== requirements.txt ===
# Main requirements
# Note that not all sub-dependencies are listed, but only ones we know could cause trouble
apprise==1.9.5
sabctools==8.2.6
CT3==3.4.0
cffi==2.0.0
pycparser==2.23
feedparser==6.0.12
configobj==5.0.9
cheroot==11.0.0
six==1.17.0
cherrypy==18.10.0
jaraco.functools==4.3.0
jaraco.collections==5.0.0
jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
jaraco.classes==3.4.0
jaraco.context==4.3.0
more-itertools==10.8.0
zc.lockfile==4.0
python-dateutil==2.9.0.post0
tempora==5.8.1
pytz==2025.2
sgmllib3k==1.0.0
portend==3.2.1
chardet==5.2.0
PySocks==1.7.1
puremagic==1.30
rarfile==4.2
guessit==3.8.0
babelfish==0.6.1
rebulk==3.2.0

# Recent cryptography versions require Rust. If you run into issues compiling this
# SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
cryptography==46.0.3

# We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
# Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
ujson==5.11.0
orjson==3.11.3

# Windows system integration
pywin32==311; sys_platform == 'win32'
windows-toasts==1.3.1; sys_platform == 'win32'
winrt-runtime==3.2.1; sys_platform == 'win32'
winrt-Windows.Data.Xml.Dom==3.2.1; sys_platform == 'win32'
winrt-Windows.Foundation==3.2.1; sys_platform == 'win32'
winrt-Windows.Foundation.Collections==3.2.1; sys_platform == 'win32'
winrt-Windows.UI.Notifications==3.2.1; sys_platform == 'win32'
typing_extensions==4.15.0; sys_platform == 'win32'

# macOS system calls
pyobjc-core==11.1; sys_platform == 'darwin'
pyobjc-framework-Cocoa==11.1; sys_platform == 'darwin'

# Linux notifications
notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'

# Apprise Requirements
requests==2.32.5
requests-oauthlib==2.0.0
PyYAML==6.0.3
markdown==3.9
paho-mqtt==1.6.1 # Pinned, newer versions don't work with AppRise yet

# Requests Requirements
charset_normalizer==3.4.4
idna==3.11
urllib3==2.5.0
certifi==2025.10.5
oauthlib==3.3.1
PyJWT==2.10.1
blinker==1.9.0

# Optional support for *nix tray icon.
# Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.
# See https://pycairo.readthedocs.io/en/latest/getting_started.html
# Uncomment line below or manually install after installing requirements.
# pygobject>=3.10.2; sys_platform != 'win32' and sys_platform != 'darwin'

# Optional support for system power management on *nix.
# Requires libdbus-1-dev to be installed.
# Uncomment line below or manually install after installing requirements.
# dbus-python; sys_platform != 'win32' and sys_platform != 'darwin'

=== tests/requirements.txt ===
# Testing requirements
pytest
setuptools
selenium
requests
pyfakefs
werkzeug
pytest-httpbin
pytest-httpserver
flaky
xmltodict
tavern
tavern==3.0.0; python_version >= '3.11' # Latest version only supported on Python 3.11 and above
flask
tavalidate
importlib_metadata
lxml
black
pytest-mock
pytest-asyncio

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
  python3-guessit,
  python3-portend,
  python3-puremagic,
+ python3-rarfile (>= 4.0),
  python3-rebulk,
  python3-sabctools (>= 8.2.0),
  python3-sabctools (<< 8.3.0~),

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
+
 # Install directory
-DESTDIR="$(CURDIR)"/debian/sabnzbdplus
+DESTDIR=$(CURDIR)/debian/sabnzbdplus
 
-DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))
-DEB_SRC := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Source)
 DEB_TAG := +dfsg
 # clean upstream version
-UPS_VER := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Version | sed 's/.*://; s/-[^-]*$$//; s/\+.*//')
+UPS_VER := $(subst $(DEB_TAG),,$(DEB_VERSION_UPSTREAM))
 # basedir inside upstream tarball
 UPS_DIR := SABnzbd-$(UPS_VER)
 
@@ -46,17 +46,18 @@
 
 get-orig-source:
 	# download, decompress and rename upstream sources
-	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER) sabnzbdplus
-	gunzip $(DEB_SRC)_$(UPS_VER).orig.tar.gz
-	mv $(DEB_SRC)_$(UPS_VER).orig.tar $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
+	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER)
+	gunzip $(DEB_SOURCE)_$(UPS_VER).orig.tar.gz
+	mv $(DEB_SOURCE)_$(UPS_VER).orig.tar $(DEB_SOURCE)_$(UPS_VER)$(DEB_TAG).orig.tar
 	# download the missing source files from cvs
 	wget --no-clobber https://salsa.debian.org/jcfp/sabnzbdplus/-/archive/missing-sources/sabnzbdplus-missing-sources.tar
 	tar -xf sabnzbdplus-missing-sources.tar
 	mkdir -p $(CURDIR)/$(UPS_DIR)
 	mv $(CURDIR)/sabnzbdplus-missing-sources/missing-sources/* $(CURDIR)/$(UPS_DIR)
 	# merge missing sources into upstream tarball and create new orig.tar.gz
-	tar --append --owner=root --group=root --mode=a+rX --file $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar $(UPS_DIR)
-	rm -f $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar.gz
-	gzip --best $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
+	tar --append --owner=root --group=root --mode=a+rX --file $(DEB_SOURCE)_$(UPS_VER)$(DEB_TAG).orig.tar $(UPS_DIR)
+	rm -f $(DEB_SOURCE)_$(UPS_VER)$(DEB_TAG).orig.tar.gz
+	gzip --best $(DEB_SOURCE)_$(UPS_VER)$(DEB_TAG).orig.tar
+	mv $(DEB_SOURCE)_$(UPS_VER)$(DEB_TAG).orig.tar.gz ..
 	# cleanup leftovers
 	rm -rf $(CURDIR)/sabnzbdplus-missing-sources/ sabnzbdplus-missing-sources.tar $(UPS_DIR)

=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Tests: basic-runs
 Depends: @
-Restrictions: superficial, allow-stderr
+Restrictions: superficial, allow-stderr, skip-not-installable
 
 Tests: upstream-tests
 Depends: @,
- 7zip | p7zip-full,
  chromium,
  chromium-driver,
  python3-all,
